Voidcrid
===============
*Theoretically, the true contents of the cell were just a mess of atoms. The structure of the contents in each cell* *– living, weapon, whatever - was categorized, sequenced, and then turned to juice and cured into solid gems. An incredibly efficient and lossless format.*

*And yet when the cell containment broke – and emergency protocols re-sequenced that mess of atoms back into the creature known as Acrid – he already knew. Maybe he was somehow conscious, in his juice-gem state. Maybe they injected him with information. Maybe he was connected to their psionic network. Maybe he just made it up.*

*But he knew – that the strange crustaceans that scrambled his atoms and imprisoned him here, in a place unknown – were panicking. Something had gone wrong, in a world where variables were not allowed.*

*Something was leaking and...fusing...*

*They may have finally imprisoned something that could not be contained.*

*And this finality brought to him a new thought: to contain the crustaceans and subject them to the horrors of the deep.*


![1](https://cdn.discordapp.com/attachments/663444052418756631/1045026397216850080/Risk_of_Rain_2_11_23_2022_12_19_24_PM.png)


## New Abilites:
- Flamebreath
- N?ll Beam
- Void Dr?ft
- Entr?py

## New Skins:
- Voidcrid
- Blackrid

## New Ways to Play:
Rethink the way Acrid prowls the battlefield. Tap into the horrors you once suffered to become something stronger, something...*unpredictable.*


## Planned Updates:

- New Skins (Concept art by Serpyderpy)

![2](https://cdn.discordapp.com/attachments/1016725529522606112/1045628643747045477/voidcrid.png)

- Achievements for those skins

## Credits:

- All the best parts of this mod go to Christ Jesus, as all things are by Him and through Him and for Him.
- My wife, for entertaining my many, "Hey, what do you think of this?" moments
- @CDPlayer416 -- you know who you are. Cheers to our years of friendship, and thanks for testing this with me for so many hours.
- #development Discord. You all were a huge resource in the many questions I had in learning C#. Thank you!

## Feedback:

@Unanimate Objec in the Risk of Rain 2 Discord for any feedback including: complaints, compliments, or ideas for future releases

## Changelog:

1.2.4 - Fixes and Figs
- Increased Entropy's BlastAttackRadius (10 => 12)
- Increased Deeprotted Entropy's BlastAttackRadius (10 => 12)
- Added both as config file options
- Added Flamebreath totalDamageCoefficient to Flamebreath's Damage config. 
- Fixed a bug where all stacks of Flamebreath were consumed on use (thanks @MrPokemon11)
- This same bugfix *should* prevent Purity from disabling Flamebreath (thanks @Syrax)

*Dev notes: Flamebreath has a lot going on in terms of math formulas. totalDamageCoefficient is one major component that users can change at will.*

*As a general reference: Bumping totalDamageCoefficient from 10 => 20 will kill a stone Golem in 2 hits instead of 3 on Normal difficulty*

*As an additional reminder: You must delete your config and start the game again for the mod to create the updated config file.*

1.2.3 - Ancient Scepter
- Added Ancient Scepter support for StandaloneAncientScepter
- Increased Ethereal Drift's Y-axis velocity (base => 1.7)
- Added new skill: Deeprotted Entropy (Ancient Scepter)
- Added new icon to accompany skill
- Added more config file options (Recharge intervals for all skills)
- Voidcrid's fake Passive is now disabled by default. Config file allows this to be changed.

*Dev notes: The new jump height with Ethereal Drift is less than Acrid's standard leap but more than a standard bump that it was before. This ensures Acrid is still a useful mobile character for scaling the environment but maintains Ethereal Drift's original purpose: escape*

1.2.2 - Config File Update
- Added Config File support. You can find it under "\BepInEx\config\com.6fears7.Voidcrid"

*Dev notes: Added Config file to enable players to control the experience. If you want more options, @me (Unanimate Objec) in Discord*

1.2.1 - All About *H(X) = -sum(each k in K p(k) * log(p(k)))*
- Adjusted Entropy to fire in a three-round burst at 0.3 sec intervals (0.3, 0.6, 0.9)
- Increased Entropy blastAttackForce [knockback] (20f => 1,000f)
- Increased Entropy base damage (baseDamageStat * 0.3 => 3f)
- Increased Entropy's cooldown (4s => 6s)
- Fixed Entropy's health action => damage type. Healing will apply Passive, Hurt will apply Generic.
- Fixed a bug where firing Null Beam consumed all held stacks from Backup Magazine
- Fixed a bug where firing Ethereal Drift consumed all held stacks from Hardlight Afterburners

*Dev notes: Entropy's audio and vfx felt chaotic and disjointed. This update encourages users to activate it to buy a little breathing room.*
*Happy Thanksgiving!*

1.2.0 - Gambler
- Added Passive functionality to Entropy to support Blight or Poison
- Decreased Entropy duration (0.9 sec => 0.6 sec)
- Increased Entropy base damage (baseDamageStat * 0.1 => 0.3)
- Slightly decreased damagecoefficientPerSecond for Null Beam (0.5 => 0.3)
- Decreased Flamebreath recharge interval (1 sec => 0.5 sec)

*Dev notes: Flamebreath needed to be faster to prevent Lemurians constantly trying to play tag.*

*Entropy's gameplay hook needs to reward players for taking a risk and punish them for greed*


1.0.1 - Nerf Gun

- Reduced Special damage output to not obliterate everything. 
- Swapped out Special VFX with new VFX more in line with the Void.
- Added damage percentages to skills in lobby.
- Reduced jail chance on Utility
- Added better icons thanks to @Hifu*

1.0.0 - Initial release

*Dev notes: Best experienced with Artifact of Vengeance to experience true terror. Bring some backup mags.*